Yate: MucRoomMember Class Reference

Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
MucRoomMember Class Reference

A MUC room member. More...

`#include <yatecbase.h>`

Inheritance diagram for MucRoomMember:

## Public Types
enum | Affiliation { AffUnknown = 0, AffNone, Outcast, Member, Admin, Owner }
enum | Role { RoleUnknown = 0, RoleNone, Visitor, Participant, Moderator }
Public Types inherited from ClientResource
enum | Status { Unknown = 0, Offline = 1, Connecting = 2, Online = 3, Busy = 4, Dnd = 5, Away = 6, Xa = 7 }
enum | Capability { CapAudio = 0x00000001, CapFileTransfer = 0x00000002, CapFileInfo = 0x00000004, CapRsm = 0x00000008 }

## Public Member Functions
| MucRoomMember (const char *id, const char *nick, const char *uri=0)
Public Member Functions inherited from ClientResource
| ClientResource (const char *id, const char *name=0, bool audio=true)
virtual const String & | toString () const
bool | online () const
bool | offline () const
const char * | statusName () const
const char * | text () const
Flags32 & | caps ()
bool | setAudio (bool ok)
bool | setFileTransfer (bool ok)
bool | setPriority (int prio)
bool | setStatus (int stat)
bool | setStatusText (const String &text=String::empty())
Public Member Functions inherited from RefObject
| RefObject ()
virtual | ~RefObject ()
virtual void * | getObject (const String &name) const
virtual bool | alive () const
bool | ref ()
bool | deref ()
int | refcount () const
virtual void | destruct ()
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual const String & | traceId () const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Public Attributes
String | m_uri
String | m_instance
int | m_affiliation
int | m_role
Public Attributes inherited from ClientResource
String | m_id
String | m_name
Flags32 | m_caps
int | m_priority
int | m_status
String | m_text

## Static Public Attributes
static const TokenDict | s_affName []
static const TokenDict | s_roleName []
Static Public Attributes inherited from ClientResource
static const TokenDict | s_statusName []
static const TokenDict | s_resNotifyCaps []

## Additional Inherited Members
Static Public Member Functions inherited from ClientResource
static const char * | statusDisplayText (int status, const char *defVal=0)
Static Public Member Functions inherited from RefObject
static bool | alive (const RefObject *obj)
static bool | efficientIncDec ()
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()
Protected Member Functions inherited from RefObject
virtual void | zeroRefs ()
bool | resurrect ()
virtual void | destroyed ()

## Detailed Description

A MUC room member.

This class holds data about a MUC room member. The resource name holds the nickname

## Member Enumeration Documentation

enum Affiliation

Member affiliation to the room

enum Role

Member role after joining the room

## Constructor & Destructor Documentation

MucRoomMember | ( | const char * | id,
|  | const char * | nick,
|  | const char * | uri = `0`
| ) |  |
| inlineexplicit

Constructor

Parameters

  id | Member internal id
  nick | Member nickname
  uri | Member uri

## Member Data Documentation

const TokenDict s_affName[]
| static

Affiliation names

const TokenDict s_roleName[]
| static

Role names

The documentation for this class was generated from the following file:

- yatecbase.h